Package org.eclipse.cdt.core.settings.model.util

# Class ThreadLocalMap

java.lang.Object
org.eclipse.cdt.core.settings.model.util.ThreadLocalMap

public class ThreadLocalMap extends Object

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear(Object key)`
`Object`
`get(Object key)`
`void`
`set(Object key, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadLocalMap

public ThreadLocalMap()

## Method Details

### get

public Object get(Object key)

### set

public void set(Object key, Object value)

### clear

public void clear(Object key)